- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
AL::Math::BodyMass< T > Struct Template Reference

`#include <bodymass.h>`

## Public Types
typedef T | Scalar
typedef Eigen::Matrix< Scalar, 3, 1, Eigen::DontAlign > | Vector3
typedef Eigen::Matrix< Scalar, 3, 3, Eigen::DontAlign > | Matrix3

## Public Member Functions
template<typename S >
BodyMass< S > | cast () const
Matrix3 | get_rotational_inertia_at (const Vector3 &point) const

## Static Public Member Functions
static BodyMass | Zero ()

## Public Attributes
Scalar | mass
Vector3 | center_of_mass
Matrix3 | rotational_inertia

## Detailed Description

### template<typename T>
struct AL::Math::BodyMass< T >

Definition at line 46 of file bodymass.h.

## Member Typedef Documentation

template<typename T>

typedef Eigen::Matrix<Scalar, 3, 3, Eigen::DontAlign> AL::Math::BodyMass< T >::Matrix3

Definition at line 49 of file bodymass.h.

template<typename T>

typedef T AL::Math::BodyMass< T >::Scalar

Definition at line 47 of file bodymass.h.

template<typename T>

typedef Eigen::Matrix<Scalar, 3, 1, Eigen::DontAlign> AL::Math::BodyMass< T >::Vector3

Definition at line 48 of file bodymass.h.

## Member Function Documentation

template<typename T>
template<typename S >

BodyMass<S> AL::Math::BodyMass< T >::cast | ( |  | ) | const
| inline

Definition at line 63 of file bodymass.h.

template<typename T>

Matrix3 AL::Math::BodyMass< T >::get_rotational_inertia_at | ( | const Vector3 & | point | ) | const
| inline

Definition at line 71 of file bodymass.h.

template<typename T>

static BodyMass AL::Math::BodyMass< T >::Zero | ( |  | ) |
| inline static

Definition at line 58 of file bodymass.h.

## Member Data Documentation

template<typename T>

Vector3 AL::Math::BodyMass< T >::center_of_mass

Definition at line 53 of file bodymass.h.

template<typename T>

Scalar AL::Math::BodyMass< T >::mass

Definition at line 51 of file bodymass.h.

template<typename T>

Matrix3 AL::Math::BodyMass< T >::rotational_inertia

Definition at line 56 of file bodymass.h.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/scenegraph/bodymass.h